var core = require('./core'),
	macro = require('./macro');

module.exports = {
	values: {
		'==': core.eqp,
		'!==': core.neqp,
		'=': core.eq,
		'!=': core.neq,
		'>': core.gt,
		'>=': core.gte,
		'<': core.lt,
		'<=': core.lte,
		'equal?': core.equalp,
		'list?': core.arrayp,
		'hash?': core.hashp,
		'function?': core.functionp,
		'number?': core.numberp,
		'string?': core.stringp,
		'undefined?': core.undefinedp,
		'null?': core.nullp,
		'+': core.plus,
		'-': core.minus,
		'*': core.mult,
		'/': core.div,	
		'get': core.get,
		'set': core.set,
		'keys': core.keys,
		'values': core.values,
		'len': core.len,
		'cons': core.cons,
		'car': core.car,
		'cdr': core.cdr,
		'first': core.first,
		'last': core.last,
		'pop': core.pop,
		'map': core.map,
		'reduce': core.reduce,
		'defn': macro.defn,
		'obj': macro.obj,
		'load': macro.load,
		'use': macro.use,
		'let': macro.let,
		'loop': macro.loop
	}
};
